package demo.ObjectDimension;

import java.io.*;

public abstract class UnaryOperator extends Expression
{

   public UnaryOperator()
      {    // BEGIN UnaryOperator
         _operand = null;
      };   // END UnaryOperator

   public String operatorName()
      {    // BEGIN operatorName
         return "UnaryOperator";
      };   // END operatorName

   public Expression getOperand()
      {    // BEGIN getOperand
         return _operand;
      };   // END getOperand

   public void setOperand ( Expression newValue )
      {    // BEGIN setOperand
         _operand = newValue;
      };   // END setOperand


   private Expression _operand;


   // Check feature:
   public boolean check()
      {
         Expression operandValue = getOperand();

         return ( (operandValue != null) &&
                  (operandValue.check()) );
      };   // END check


   // Display feature:
   public void display ( PrintStream displayDevice )
      {
         displayDevice.print ( operatorName() );
         _operand.display ( displayDevice );
      };   // END display


   // Eval feature:


}   // END class UnaryOperator
