package demo.Observer;

public class LoggedClass extends Observee
{

   public LoggedClass()
      {
         _register ( Globals.logger() );
      }

   public void _beforeInvoke ( String className, String methodName )
      {
         Object[] parameters
            = new Object[2];

         parameters[0] = new String ( "before executing" );
         parameters[1] = className + "." + methodName;
         _notify ( parameters );
      };   // END _beforeInvoke

   public void _afterInvoke ( String className, String methodName )
      {
         Object[] parameters
            = new Object[2];

         parameters[0] = new String ( "after  executing" );
         parameters[1] = className + "." + methodName;
         _notify ( parameters );
      };   // END _afterInvoke

}   // END class LoggedClass
