package demo.Observer;

import java.util.*;
import com.ibm.sop.util.Set;

public abstract class Observee
{

   public void _register ( Observer newObserver )
      {
         if (_observers == null)
           _observers = new Set();
         _observers.add ( newObserver );
      };   // END register

   public void _unregister ( Observer observer )
      {
         _observers.remove ( observer );
      };   // END unregister


   public void _notify ( Object[] parameterList )
      {
         if (_observers == null)
           return;
         Enumeration observerEnum
            = _observers.elements();

         while ( observerEnum.hasMoreElements() )
            {
               Observer nextObserver
                  = (Observer) observerEnum.nextElement();
               nextObserver._acceptNotification ( parameterList );
            };   // END loop, while observerEnum.hasMoreElements()

      };   // END _notify

   private Set _observers;

}   // END class Observee
