package demo.ObjectDimension;

import java.io.*;

public class Driver
{

   public static void main ( String[] args )
      {
         System.out.println ( "Starting application loop" );

         for ( int i = 1; i <= 3; i++ )
            {
               Expression expr = build();
               System.out.println ( "Created expression "
                                    + i );
               System.out.println ( "Processing expression "
                                    + i );
               try {
                  expr.process();
               }
               catch ( Exception e ) {
                  System.out.println ( "   *** Exception raised during processing" );
               };
            };   // END loop, for i

         System.out.println ( "Ending application loop" );

      };   // END main


   public static Expression build()
      {
         _count++;

         switch ( _count )
            {
               case 1:
                  return new Plus
                     ( new Minus ( new NumberLiteral ( 3 ),
                                   new Minus ( new NumberLiteral ( 2 ),
      //!HOWas:                                               null ) ),
                                               new NumberLiteral ( 1 ) ) ),
                       new Plus  ( new NumberLiteral ( 8 ),
                                   new NumberLiteral ( 9 ) ) );
               case 2:
                  return new Minus
                     ( new Minus ( new NumberLiteral ( 8 ),
                                   new NumberLiteral ( 5 ) ),
                       new Plus ( new NumberLiteral ( 8 ),
                                  new NumberLiteral ( 9 ) ) );
               case 3:
                  return new Plus ( new NumberLiteral ( 8 ),
                                    new Minus ( new NumberLiteral ( 5 ),
      //!HOwas                                                null ) );
                                                new NumberLiteral ( 2 ) ) );
            };   // END switch, _count

         return null;

      };   // END build


   private static int _count = 0;

};   // END class Driver
