package demo.StyleChecker;

public class Variable extends Declarator
{

   public boolean check()
      {
         return ( checkNameLength() &&
                  checkUnderscores() );
      };   // END check

   protected boolean checkNameLength()
      {
         return ( (getName().length() > MINIMUM_LENGTH) &&
                  (getName().length() <= MAXIMUM_LENGTH) );
      };   // END checkNameLength()

   protected boolean checkUnderscores()
      {
         if ( getName().length() > UNDERSCORE_THRESHOLD )
            return ( getName().indexOf ( '_' ) > -1 );
         else
            return true;
      };   // END checkUnderscores


   private final static int MINIMUM_LENGTH = 4;
   private final static int MAXIMUM_LENGTH = 32;
   private final static int UNDERSCORE_THRESHOLD = 8;

}
