package com.ibm.hyperj;

public class SummaryFunctions {
   
    public static boolean booleanAnd ( boolean[] bValues ) {
        int nMax = bValues.length;
        
        // Exit with false if any value is not true
        for (int nCurr = 0; nCurr < nMax; nCurr++) {
            if ( ! bValues[nCurr] )
                return false;
        }

        // All values are true, so return true
        return true;
    }

    public static boolean booleanOr ( boolean[] bValues ) {
        int nMax = bValues.length;
        
        // Exit with true if any value is true
        for (int nCurr = 0; nCurr < nMax; nCurr++) {
            if ( bValues[nCurr] )
                return true;
        }

        // All values are false, so return false
        return false;
    }

    public static int intCount ( int[] intValues ) {
        return intValues.length;
    }

    public static int intMax ( int[] nValues ) {
        int nMax = nValues.length;
        int nResult = nValues[0];
        
        // Find the maximum of the values
        for (int nCurr = 1; nCurr < nMax; nCurr++) {
            if (nValues[nCurr] > nResult)
                nResult = nValues[nCurr];
        }

        // Return the maximum
        return nResult;
    }

    public static int intMin ( int[] nValues ) {
        int nMax = nValues.length;
        int nResult = nValues[0];
        
        // Find the minimum of the values
        for (int nCurr = 1; nCurr < nMax; nCurr++) {
            if (nValues[nCurr] < nResult)
                nResult = nValues[nCurr];
        }

        // Return the minimum
        return nResult;
    }

    public static int intSum ( int[] nValues ) {
        int nMax = nValues.length;
        int nResult = 0;
        
        // Add all of the values
        for (int nCurr = 0; nCurr < nMax; nCurr++) {
            nResult += nValues[nCurr];
        }

        // Return the sum
        return nResult;
    }

    public static int valueCount ( Object[] objValues ) {
        return objValues.length;
    }

}

